Node.ChildInfo (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: Node, class: ChildInfo

# Class Node.ChildInfo

java.lang.Object
org.apache.jasper.compiler.Node.ChildInfo

Enclosing class:
  `Node`

public static class Node.ChildInfo extends Object
Collected information about child elements. Used by nodes like CustomTag, JspBody, and NamedAttribute. The information is set in the Collector.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChildInfo()`
  Constructs a new ChildInfo instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasIncludeAction()`
  Returns whether the tag body contains an include action.
  `boolean`
  `hasParamAction()`
  Returns whether the tag body contains a param action.
  `boolean`
  `hasScriptingVars()`
  Returns whether the tag body contains scripting variables.
  `boolean`
  `hasSetProperty()`
  Returns whether the tag body contains a setProperty action.
  `boolean`
  `hasUseBean()`
  Returns whether the tag body contains a useBean action.
  `boolean`
  `isScriptless()`
  Returns whether the tag and its body contain no scripting elements.
  `void`
  `setHasIncludeAction(boolean i)`
  Sets whether the tag body contains an include action.
  `void`
  `setHasParamAction(boolean i)`
  Sets whether the tag body contains a param action.
  `void`
  `setHasScriptingVars(boolean s)`
  Sets whether the tag body contains scripting variables.
  `void`
  `setHasSetProperty(boolean s)`
  Sets whether the tag body contains a setProperty action.
  `void`
  `setHasUseBean(boolean u)`
  Sets whether the tag body contains a useBean action.
  `void`
  `setScriptless(boolean s)`
  Sets whether the tag and its body contain no scripting elements.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChildInfo

    public ChildInfo()
    Constructs a new ChildInfo instance.

- ## Method Details

  - ### setScriptless

    public void setScriptless(boolean s)
    Sets whether the tag and its body contain no scripting elements.
    Parameters:
      `s` - True if scriptless

  - ### isScriptless

    public boolean isScriptless()
    Returns whether the tag and its body contain no scripting elements.
    Returns:
      True if scriptless

  - ### setHasUseBean

    public void setHasUseBean(boolean u)
    Sets whether the tag body contains a useBean action.
    Parameters:
      `u` - True if it has useBean

  - ### hasUseBean

    public boolean hasUseBean()
    Returns whether the tag body contains a useBean action.
    Returns:
      True if it has useBean

  - ### setHasIncludeAction

    public void setHasIncludeAction(boolean i)
    Sets whether the tag body contains an include action.
    Parameters:
      `i` - True if it has include action

  - ### hasIncludeAction

    public boolean hasIncludeAction()
    Returns whether the tag body contains an include action.
    Returns:
      True if it has include action

  - ### setHasParamAction

    public void setHasParamAction(boolean i)
    Sets whether the tag body contains a param action.
    Parameters:
      `i` - True if it has param action

  - ### hasParamAction

    public boolean hasParamAction()
    Returns whether the tag body contains a param action.
    Returns:
      True if it has param action

  - ### setHasSetProperty

    public void setHasSetProperty(boolean s)
    Sets whether the tag body contains a setProperty action.
    Parameters:
      `s` - True if it has setProperty

  - ### hasSetProperty

    public boolean hasSetProperty()
    Returns whether the tag body contains a setProperty action.
    Returns:
      True if it has setProperty

  - ### setHasScriptingVars

    public void setHasScriptingVars(boolean s)
    Sets whether the tag body contains scripting variables.
    Parameters:
      `s` - True if it has scripting variables

  - ### hasScriptingVars

    public boolean hasScriptingVars()
    Returns whether the tag body contains scripting variables.
    Returns:
      True if it has scripting variables